List claims
curl --request GET \
--url https://api.example.com/api/claimsimport requests
url = "https://api.example.com/api/claims"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/claims",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/claims"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/claims")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/claims")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"claim_id": 123,
"claim_text": "<string>",
"confidence": 123,
"source_event_id": 123,
"similarity": {},
"evidence_spans": [
{}
],
"support_count": 123,
"status": "<string>",
"created_at": 123,
"last_accessed": 123
}Claims & semantic memory
List claims
List all extracted facts (claims) from processed events.
GET
/
api
/
claims
List claims
curl --request GET \
--url https://api.example.com/api/claimsimport requests
url = "https://api.example.com/api/claims"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/claims",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/claims"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/claims")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/claims")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"claim_id": 123,
"claim_text": "<string>",
"confidence": 123,
"source_event_id": 123,
"similarity": {},
"evidence_spans": [
{}
],
"support_count": 123,
"status": "<string>",
"created_at": 123,
"last_accessed": 123
}Query parameters
integer
default:"10"
Maximum number of claims to return. Max:
1000.integer
Filter by source event ID (
u128). Set to null to list all claims.Response
Returns an array ofClaimResponse objects.
integer
Claim identifier.
string
The extracted claim/fact.
number
Extraction confidence (
0.0–1.0).integer
Source event ID (
u128).number | null
null for list results. Populated in search results.EvidenceSpanResponse[]
Supporting evidence from source text.
integer
Number of supporting instances.
string
One of:
"Active", "Contradicted", "Deprecated".integer
Creation timestamp.
integer
Last access timestamp.
EvidenceSpanResponse
| Field | Type | Description |
|---|---|---|
start_offset | usize | Start position in source text |
end_offset | usize | End position in source text |
text_snippet | String | Extracted text snippet |
[
{
"claim_id": 42,
"claim_text": "User prefers Sci-Fi movies",
"confidence": 0.92,
"source_event_id": 123456789012345678901234567890,
"similarity": null,
"evidence_spans": [
{
"start_offset": 15,
"end_offset": 45,
"text_snippet": "I really love Sci-Fi movies"
}
],
"support_count": 3,
"status": "Active",
"created_at": 1738425600000000000,
"last_accessed": 1738512000000000000
}
]
